/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.pua.prot.
 * 
 * de.bsvrz.pua.prot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.pua.prot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.pua.prot.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.pua.prot.exceptions;

import de.bsvrz.sys.funclib.losb.exceptions.LoggerException;

/**
 * Ausnahmezustand, dessen Auftreten keine Auswirkungen auf die weitere Bearbeitung des Auftrages hat.
 *
 * @author beck et al. projects GmbH
 * @author Martin Hilgers
 * @version $Revision$ / $Date$ / ($Author$)
 */
public class NoncriticalException extends LoggerException {

	private static final long serialVersionUID = 6440226429849977941L;

	/**
	 * Erzeugt eine Exception mit der übergebenen Meldung
	 *
	 * @param errorMsg Fehlermeldung
	 * @param logLevel Log-Level
	 */
	public NoncriticalException(String errorMsg, int logLevel) {
		super(errorMsg, logLevel);
	}
}
