/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.pua.prot.
 * 
 * de.bsvrz.pua.prot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.pua.prot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.pua.prot.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.pua.prot.util.attributes;

import de.bsvrz.pua.prot.aggregations.Aggregation;

import java.util.List;


/**
 * Klasse für temporäre und reale Attribute.
 *
 * @author beck et al. projects GmbH
 * @author Martin Hilgers
 * @version $Revision$ / $Date$ / ($Author$)
 */
public abstract class AttributeDescription extends Elements {

	private String _name;

	/** Erzeugt das Objekt. */
	public AttributeDescription() {
		this._name = null;
	}

	/**
	 * Konstruktor zu Testzwecken.
	 *
	 * @param columnName  Spaltenname. Kann <code>null</code> sein.
	 * @param aggregations Zu verwendende Aggregationen.
	 * @param name        Name des Attributs. Kann <code>null</code> sein.
	 */
	public AttributeDescription(String columnName, List<Class<? extends Aggregation>> aggregations, String name) {
		super(columnName, aggregations);
		this._name = name;
	}

	/**
	 *  Name des Attributs. Anfangs <code>null</code>
	 *  @return Name
	 */
	public String getName() {
		return _name;
	}

	public void setName(final String name) {
		this._name = name;
	}
}
